package com.qmth.exam.reserve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.exam.reserve.bean.apply.ExamSiteTimePeriodInfo;
import com.qmth.exam.reserve.bean.apply.ExamSiteTimePeriodQuery;
import com.qmth.exam.reserve.bean.timeperiod.TimePeriodExamSiteReq;
import com.qmth.exam.reserve.bean.timeperiod.TimePeriodExamSiteVo;
import com.qmth.exam.reserve.entity.TimePeriodExamSiteEntity;

import java.util.List;

public interface TimePeriodExamSiteService extends IService<TimePeriodExamSiteEntity> {

    List<ExamSiteTimePeriodInfo> findExamSiteTimePeriods(ExamSiteTimePeriodQuery query);

    ExamSiteTimePeriodInfo findOneExamSiteTimePeriod(Long applyTaskId, Long examSiteId, Long timePeriodId);

    List<String> listTimePeriod(Long taskId);

    List<TimePeriodExamSiteVo> ListDetail(Long examSiteId);

    void save(Long operateId, Long examSiteId, List<TimePeriodExamSiteReq> timePeriodExamSiteList);

}
